Set up test data.

  $ base64 --decode > example.jceks <<EOF
  > zs7OzgAAAAIAAAABAAAAAQAMZXhhbXBsZS1yb290AAABVTxhO5gAAATsMIIE6DAa
  > BgkrBgEEASoCEwEwDQQIfJE1y+ApJycCARQEggTINWx9ngPw6tMIlGzCXSwfaK2G
  > QcTGmgRvLKw3rjML9WC5T2jIl7vEfsBLrN/iw1YoeMVih8mbuWmXyMRR0lYEuF3d
  > H7QVXtSmC5rOzs6NMlrBmS75VJKS84B7JnI9pqchbUC021Zj68s0v6gZ9/sjcuNK
  > tbBxG9tCXbrzLMEP0dtDKAua2HY6I8FmdnOo9F+E6o6W9YtjIAlRtN1odzy5xzBi
  > EryRVtdNdQqdaw4VzP4D1xMs2zUlWiZyCLNMgN22CdKou3z5pgNtd7zsbiQ/WjYq
  > eRD5Bw87zq+M2IAy8LqzRB90Ls7hDqMYfkKGeelbcmtRR6DvZDdTkEVt5Dy/sdzO
  > edi5CWC4BAmnxcEHaYmdYy4U19q7W5ioTNy0+9G1ADCxHJoSTZnQZQY8+udrdO3V
  > Xa73sPcSnlCL3ksASIo5IwL0Q3TAWpohgoJtIxHozELNfyjh6hpXhS2fAlfiBnXf
  > GM3mZ7HqSppxkv9321GjQDu5MdIqoJgpj71hwKRUeZ6Etkyw0qQhmNCkNFV04ByN
  > 8hJYOtarjJGpo4xc39JDI1ZVOTnB8Iobq7sa+ABADKJdaC38HLFC+1Rq7/CKRm/h
  > maFzJVakytnHG/UC3z9AgMjSJOzU17iToDiU2oeUos9v0ZtP5maMiHciR7TItloN
  > IcBR7al94UAZK352Co7q/ZsI1WJM1OoLA1zGMWxt/y5BkRMvEb1oIkoKus8iFuJC
  > 4bS4GxBTIsjXKgNZwUeKwq95mSWFLo0ltI6pU/vGBZmmJ5JdKzh5EuX3VmfQvDlm
  > gBbCdZve/JXwIYdB+e8jkuEDp5Ay9+28/hT6+VuWH4MVFjIkSv39/uCQoCWugfsm
  > fZnZLx8BjFa2/PT11NiOEUUqEmIL8e1XodpWCUT37h/niAyG0hsMZguXb+nUblhA
  > D9ki/KwJ9uoKZIqKZHeSJTzVOZFmcPHk/MRJbxiyLKJEDq4mzlcFhUFty2K/P/gf
  > OYFQ/84RJZzZVkMB7nkq1fsotB4ogSgIY9KxIV2fEje9X/khuIAuOCny81GdISxE
  > 0DXclY2Kp0/xTqcVLZ9aPYp9zhInUZGSm69+MCSs/bR9hiowUt8cEBaga2GnpkJa
  > fi9IpWwqEXBABSWD/uXBmPDN863EKnx85RmBV2n9H4FaVsFl0JUMRXKb3kReCNeC
  > xWAsjaj8TlJBe3KvglD9EoSkCE293xlbj8Vvlf4M3fjg0lHik+NMGzePacCfVa2r
  > wZo2ipEXr+0A2qxCGMNunxQf6PkX1SJO0b/jmkNnc0oY6GZtQy9lt0RSc+O0iqry
  > Jm1CIV7Vfm9tlll+6u0ixuuNkq+pE8T9IRfGz+5kTcDzo59+nbe4agxmDWgwiYii
  > 9zSNpvv9XzyxWA6LGBR3a/QwUnshQqOjr8aPMCP+Oaj7pG1m0mKnhyMFi94F1yjC
  > 3NmQRTs3nn+IhkfxkrQ/styblOHUS/L7sSb9aFetftLLI8X28cHoTskbvr4LJzev
  > GrdeisHWZJu1YUpk6+yRUEfP8BFoQjpbQQ6a4lVG+V4a4CkYKaHTPQHZtQAg2SkW
  > jqOU7F3e75HmGHEwBc4Nu7dWyZFcxC7klVcp9Tkpu8i2ToBDPlf88ctZjsK0X0Xr
  > QXUHWQR1AAAAAQAFWC41MDkAAANXMIIDUzCCAjugAwIBAgIJAKg+LQlirffwMA0G
  > CSqGSIb3DQEBCwUAMFUxCzAJBgNVBAYTAlVTMQswCQYDVQQIEwJDQTEQMA4GA1UE
  > ChMHY2VydGlnbzEQMA4GA1UECxMHZXhhbXBsZTEVMBMGA1UEAxMMZXhhbXBsZS1y
  > b290MB4XDTE2MDYxMDIyMTQxMVoXDTIzMDQxNTIyMTQxMVowVTELMAkGA1UEBhMC
  > VVMxCzAJBgNVBAgTAkNBMRAwDgYDVQQKEwdjZXJ0aWdvMRAwDgYDVQQLEwdleGFt
  > cGxlMRUwEwYDVQQDEwxleGFtcGxlLXJvb3QwggEiMA0GCSqGSIb3DQEBAQUAA4IB
  > DwAwggEKAoIBAQDKOEoSiNjMQ8/zUFcQW89LWw+UeTXKGwNDSpGjyi8jBKZ1lWPb
  > nMmrjI6DZ9ReevHHzqBdKZt+9NFPFEz7djDMRByIuJhRvzhfFBflaIdSeNk2+NpU
  > aFuUUUd6IIePu0AdRveJ8ZGHXRwCeEDIVCZS4oBYPHOhX/zMWDg8vSO4pSxTjGc7
  > I8fHxaUSkVzUBbeO9T/1eFk0m2uxs3UziUck2X/8YqRd+p/EaBED78nXvKRALAgu
  > KAzqxIgk3ccPK0SVQFNFq+eV1/qo8coueQuqMpCAvwVkfpVKhneyC2NlMrfzlcZZ
  > bfG/irlSjQn5+ExZX4Isy1pCUbOiVfSrsCdtAgMBAAGjJjAkMA4GA1UdDwEB/wQE
  > AwICBDASBgNVHRMBAf8ECDAGAQH/AgEAMA0GCSqGSIb3DQEBCwUAA4IBAQCLEJU6
  > 5vTU+oLbNHLOCR6fALrbjK7xsi6SFDpSXBMm74MWsy3myDBmXpOcN8hCYgsgivUX
  > TQz9ynXP/pzOj4b83zzlaOfPtLTAmMhKWVV4Q85mrDQz+HzG4lKXM78eTsD8Pyro
  > cA/tSE7mVEJ0Jal4E2KI/Z9/fqpYFLB6LFlx5n83ehXM/egA0l4OeCC9nBKCeNUN
  > 3sIQO85lljyzAJdtWnsdoWogJs6qjcV8n2U5xjZxN5ZFdclYLjq6g2cjEXXMQxb8
  > b7ZhHjLWFdjHP85UvXHK3DpK3JmUg8bYS7t1DJffDQNjawhlsMycKZN+r0ND0Um4
  > m7AjGqxbKT/M2yKF023H4u3m7yHaoE+THShVeYcW4vA=
  > EOF

Dump PEM blocks from a JCEKS keystore.

  $ certigo --verbose dump --pem --password password example.jceks
  -----BEGIN RSA PRIVATE KEY-----
  MIIEpQIBAAKCAQEAyjhKEojYzEPP81BXEFvPS1sPlHk1yhsDQ0qRo8ovIwSmdZVj
  25zJq4yOg2fUXnrxx86gXSmbfvTRTxRM+3YwzEQciLiYUb84XxQX5WiHUnjZNvja
  VGhblFFHeiCHj7tAHUb3ifGRh10cAnhAyFQmUuKAWDxzoV/8zFg4PL0juKUsU4xn
  OyPHx8WlEpFc1AW3jvU/9XhZNJtrsbN1M4lHJNl//GKkXfqfxGgRA+/J17ykQCwI
  LigM6sSIJN3HDytElUBTRavnldf6qPHKLnkLqjKQgL8FZH6VSoZ3sgtjZTK385XG
  WW3xv4q5Uo0J+fhMWV+CLMtaQlGzolX0q7AnbQIDAQABAoIBAQCSQ0iAQ27bv6in
  SlLOyDkVPhX0w/794a/oegUBPPn/EBv+LEF/1NWhORbTQMRAWhiK9o7TE4ceuqCx
  2/MaZpBBDnq9ARda+T4itvvZuFM4eaRSuIfiSWED1A4o7WJfuYZUJsJgidNC3zul
  JallvEfD54QBTigsbqsAekai2AMAR126+66rSJtlnT+6bxhACU7SvGqEjRhEWo+5
  t0TowQ8rH1VKBAJwMWZ4E09fKiheie56F3Imjb3lUBCiGaUFstuvvk7lyobG9PMn
  WtBrxlMekm5sK4GqIo3o24BmgsLwtQztNiz+AeWWg514touGCfpE3HYfeMscKjoj
  Igorl71ZAoGBAPXPv5/pKDdgLPQWIabRKzY6aVdfWgYtTPGn2r4YiVEy5xzo538y
  6Kt4bRR3ZCo9FoWeXkHMKc0Bz+TOncM4MKZAwonn/Q3z1euIb6kC2kX5maNpPtWV
  Yeewu7NGFaiZGKUMYvZkmjmOsn5HTOkjv56uqRFJpsO4SRVFqpDrxbzLAoGBANKZ
  /+cXneGeMXTsEWxff4LPTn8sBSGl9hyFGBJofPEzz14Axu9a/Dq8BdV9O1clSrmW
  Hgba97DdExC94CXjh9kQW3ItiMMM3bkgPQvNaGegu5e8ukFMVFu1gBo0fUF1h6/M
  5v9UXrN9c4fkl8HkDLc4rhufagwxHFcLf02DDR2nAoGBANxD6ux6W2Uzs1SNuF3p
  NRWExfxbHypF0ZsB1ItfJT0zpdFMCpT6o29znBso2QLYdqQJQ2Emd5aStx3K36ed
  ZEq14Rz+Ws3z348NVTFXswvdHAVIO9vb3j1lKuz8MlA/z8umC8/KWkCVU/DAJ3UK
  aZzh2fH504uySRrcsHjoLOp9AoGAVgtFWo1zm/KeEj9A/x4lYrSARcUec5jy7MQU
  CbFXGtUoLCf1H2X1F6oqWAdKb1h1J04GBpcAC+rHF1f8dH55yl28fvHLpqVjEXfy
  eRf7SBuLiXs6PeOJs858ADjh1BTI0zLMThWSe5MN2L+0oSsjZthpii+fjEukYIv5
  /xlECpECgYEAuCUw2cxdENXJH0qiz2tatyYG0zgpbSPcUpUkAnJMPri/lmjth9sV
  JQM8G81RT4wdpvis82lvole1zHisQI8SGCNQpmZZmEYwukrkChbjJYEEMIolQHgd
  OcNCwOR/omok5c6d1Yje4MI4tpx5U4xqbSpO9AGat3flt/amjshl+94=
  -----END RSA PRIVATE KEY-----
  -----BEGIN CERTIFICATE-----
  MIIDUzCCAjugAwIBAgIJAKg+LQlirffwMA0GCSqGSIb3DQEBCwUAMFUxCzAJBgNV
  BAYTAlVTMQswCQYDVQQIEwJDQTEQMA4GA1UEChMHY2VydGlnbzEQMA4GA1UECxMH
  ZXhhbXBsZTEVMBMGA1UEAxMMZXhhbXBsZS1yb290MB4XDTE2MDYxMDIyMTQxMVoX
  DTIzMDQxNTIyMTQxMVowVTELMAkGA1UEBhMCVVMxCzAJBgNVBAgTAkNBMRAwDgYD
  VQQKEwdjZXJ0aWdvMRAwDgYDVQQLEwdleGFtcGxlMRUwEwYDVQQDEwxleGFtcGxl
  LXJvb3QwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDKOEoSiNjMQ8/z
  UFcQW89LWw+UeTXKGwNDSpGjyi8jBKZ1lWPbnMmrjI6DZ9ReevHHzqBdKZt+9NFP
  FEz7djDMRByIuJhRvzhfFBflaIdSeNk2+NpUaFuUUUd6IIePu0AdRveJ8ZGHXRwC
  eEDIVCZS4oBYPHOhX/zMWDg8vSO4pSxTjGc7I8fHxaUSkVzUBbeO9T/1eFk0m2ux
  s3UziUck2X/8YqRd+p/EaBED78nXvKRALAguKAzqxIgk3ccPK0SVQFNFq+eV1/qo
  8coueQuqMpCAvwVkfpVKhneyC2NlMrfzlcZZbfG/irlSjQn5+ExZX4Isy1pCUbOi
  VfSrsCdtAgMBAAGjJjAkMA4GA1UdDwEB/wQEAwICBDASBgNVHRMBAf8ECDAGAQH/
  AgEAMA0GCSqGSIb3DQEBCwUAA4IBAQCLEJU65vTU+oLbNHLOCR6fALrbjK7xsi6S
  FDpSXBMm74MWsy3myDBmXpOcN8hCYgsgivUXTQz9ynXP/pzOj4b83zzlaOfPtLTA
  mMhKWVV4Q85mrDQz+HzG4lKXM78eTsD8PyrocA/tSE7mVEJ0Jal4E2KI/Z9/fqpY
  FLB6LFlx5n83ehXM/egA0l4OeCC9nBKCeNUN3sIQO85lljyzAJdtWnsdoWogJs6q
  jcV8n2U5xjZxN5ZFdclYLjq6g2cjEXXMQxb8b7ZhHjLWFdjHP85UvXHK3DpK3JmU
  g8bYS7t1DJffDQNjawhlsMycKZN+r0ND0Um4m7AjGqxbKT/M2yKF
  -----END CERTIFICATE-----
